Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Georgian ABRAHAM
Issue with upgrade from 6.0.11 to 6.1.2.0
April 24, 2013 2:37 AM
Answer

Georgian ABRAHAM

Rank: Regular Member

Posts: 161

Join Date: April 19, 2013

Recent Posts

We are working for upgrade from 6.0.11 to 6.1.2.0. When we tried upgrading with proper portal-ext and jackrabbit repository.xml same as our current version. The upgrade failed with following errors.
1. Subscription table error
16:53:01,125 INFO [pool-2-thread-1][UpgradeProcess:207] Upgrading com.liferay.portal.upgrade.v6_1_0.UpgradeCommunityProperties
19:19:19,739 INFO [pool-2-thread-1][UpgradeProcess:207] Upgrading com.liferay.portal.upgrade.v6_1_0.UpgradeSubscription
19:19:33,407 ERROR [pool-2-thread-1][MainServlet:217] com.liferay.portal.kernel.events.ActionException: com.liferay.portal.kernel.upgrade.UpgradeException: com.liferay.portal.kernel.upgrade.UpgradeException: java.sql.SQLException: Cannot insert duplicate key row in object 'dbo.Subscription' with unique index 'IX_2E1A92D4'.
com.liferay.portal.kernel.events.ActionException: com.liferay.portal.kernel.upgrade.UpgradeException: com.liferay.portal.kernel.upgrade.UpgradeException: java.sql.SQLException: Cannot insert duplicate key row in object 'dbo.Subscription' with unique index 'IX_2E1A92D4'.
at com.liferay.portal.events.StartupAction.run(StartupAction.java:58)
at com.liferay.portal.servlet.MainServlet.processStartupEvents(MainServlet.java:1306)
at com.liferay.portal.servlet.MainServlet.init(MainServlet.java:214)
at javax.servlet.GenericServlet.init(GenericServlet.java:160)
at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1266)
at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1185)
at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1080)
at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:5015)
at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5302)
at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:895)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:871)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:615)
at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:649)
at org.apache.catalina.startup.HostConfig$DeployDescriptor.run(HostConfig.java:1585)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
at java.util.concurrent.FutureTask.run(FutureTask.java:138)
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
at java.lang.Thread.run(Thread.java:662)
2. Image gallary exception
ure to use the new property "dl.store.impl". Liferay will attempt to temporarily set "dl.store.impl=com.liferay.portlet.documentlibrary.store.JCRStore".
13:46:17,083 INFO [pool-2-thread-1][UpgradeProcess:207] Upgrading com.liferay.portal.upgrade.v6_1_0.UpgradeGroup
13:46:18,016 INFO [pool-2-thread-1][UpgradeProcess:207] Upgrading com.liferay.portal.upgrade.v6_1_0.UpgradeImageGallery
13:47:20,273 WARN [pool-2-thread-1][UpgradeImageGallery:406] Ignoring exception for image 2370055
com.liferay.portlet.documentlibrary.NoSuchFileException: /opt/liferay/6120/liferay-portal-6.1.20-ee-ga2/data/images/23/70/05/2370055.gif
at com.liferay.portal.image.FileSystemHook.getImageAsStream(FileSystemHook.java:74)
at com.liferay.portal.upgrade.v6_1_0.UpgradeImageGallery.migrateFile(UpgradeImageGallery.java:355)
at com.liferay.portal.upgrade.v6_1_0.UpgradeImageGallery.migrateImage(UpgradeImageGallery.java:402)
at com.liferay.portal.upgrade.v6_1_0.UpgradeImageGallery.migrateImageFiles(UpgradeImageGallery.java:511)
at com.liferay.portal.upgrade.v6_1_0.UpgradeImageGallery.doUpgrade(UpgradeImageGallery.java:316)
David H Nebinger
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
April 24, 2013 6:07 AM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 11046

Join Date: September 1, 2006

Recent Posts

First, this is the wrong forum to post this message into.

Second, if you're using 6.1 CE, you should always be using the edition from lcepatchers.org. CE, as available from Liferay.com, does not include the latest patches. I believe the error you're looking at has been addressed already.
Georgian ABRAHAM
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
April 26, 2013 12:23 AM
Answer

Georgian ABRAHAM

Rank: Regular Member

Posts: 161

Join Date: April 19, 2013

Recent Posts

Hi,

Apology for posting in wrong place as am new to liferay forum.

We are using the EE version of liferay.
Can anybody suggest why am getting these error.
Manish Yadav
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
April 26, 2013 1:08 AM
Answer

Manish Yadav

Rank: Expert

Posts: 449

Join Date: May 26, 2012

Recent Posts

Hi GURU ,
If you have EE licenses then no need to worry ..You can ask help from Liferay Support .They will help you in resolving your issue.

Thanks & Regards
Manish Yadav
Email:- manishyadav1103@gmail.com
Contact No:- +91-8452899010
Girish kumar
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
June 16, 2013 10:06 PM
Answer

Girish kumar

Rank: Junior Member

Posts: 27

Join Date: June 16, 2013

Recent Posts

Hi Guru,

Have you pointing to the old database which you are using in 6.0.11.
Georgian ABRAHAM
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
June 16, 2013 11:10 PM
Answer

Georgian ABRAHAM

Rank: Regular Member

Posts: 161

Join Date: April 19, 2013

Recent Posts

Hi eresh,

am pointing to the same database i.e old database.

Please let me know any information you want from my side.
Girish kumar
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
June 17, 2013 4:36 AM
Answer

Girish kumar

Rank: Junior Member

Posts: 27

Join Date: June 16, 2013

Recent Posts

Hi,


From your logs it seems you are dl.hook.impl.
In 6.0 Liferay version there is property called dl.hook.impl which has been replaced the dl.store.impl.

So if you are using dl.hook.impl=com.liferay.documentlibrary.util.JCRHook property then replace it by
dl.store.impl=com.liferay.portlet.documentlibrary.store.JCRStore property.
Georgian ABRAHAM
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
June 17, 2013 9:56 PM
Answer

Georgian ABRAHAM

Rank: Regular Member

Posts: 161

Join Date: April 19, 2013

Recent Posts

Hi Eresh,

Thanks for information.
I think the issue is with dl.hook.impl.
I will change this property and test it.
Georgian ABRAHAM
RE: Issue with upgrade from 6.0.11 to 6.1.2.0
June 19, 2013 12:01 AM
Answer

Georgian ABRAHAM

Rank: Regular Member

Posts: 161

Join Date: April 19, 2013

Recent Posts

Hey Thanks Eresh for providing solution after changing the property issue resolved.